<template>
  <div class="main">
    <flex class="nav-wrapper" dir="row">
      <nav class="primary"><slot name="primary"></slot></nav>
      <nav class="secondary"><slot name="secondary"></slot></nav>
    </flex>
  </div>
</template>
<script>
export default {
  name: 'main-nav'
}
</script>
<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';

.main {
  @include themify($themes) {
    background-color: themed('color-bg-primary');
  }
  padding: 0 $grid*1.25;
}

.nav-wrapper {
  max-width: $page-width;
  margin: auto;
}

nav {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 75px;

  &.primary {
    flex-grow: 1;
  }
  &.secondary {
    flex-shrink: 1;
  }
  /deep/ a {
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
    @include flex($dir:column);
    justify-content: center;
    height: 100%;
    padding: 0 24px;
  }
  /deep/ > .active {
    @include themify($themes) {
      border-bottom: 2px solid themed('color-ui-accent');
    }
  }
}

nav.secondary /deep/ > a,
nav.secondary /deep/ .dropdown > a {
  @include themify($themes) {
    border-left: themed('border');
    height: 20px;
    display: flex;
    align-items: center;
  }
}

nav.secondary /deep/ > a:first-child {
  border: none;
}
</style>
